Bug 91048 - GPU ERROR - Screen goes black (Render Ring) while web surfing
Summary: GPU ERROR - Screen goes black (Render Ring) while web surfing
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Tom
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-22 00:15 UTC by Tom
Modified: 2015-09-24 12:51 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features: GPU hang


Attachments
/sys/class/drm/card0/error (error.dump attached) (25 bytes, text/plain)
2015-06-22 13:25 UTC, Tom
Details
/sys/class/drm/card0/error (847.94 KB, text/plain)
2015-09-23 20:26 UTC, Hugh Hamill
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tom 2015-06-22 00:15:00 UTC
The screen went black while surfing the web and produced the following in the syslog. The dump referred in the messages is zero bytes in length.  



Jun 21 12:03:48 HAL9000 kernel: [  423.808046] [drm] stuck on render ring
Jun 21 12:03:48 HAL9000 kernel: [  423.808055] [drm] GPU crash dump saved to /sys/class/drm/card0/error
Jun 21 12:03:48 HAL9000 kernel: [  423.808057] [drm] GPU hangs can indicate a bug anywhere in the entire gfx stack, including userspace.
Jun 21 12:03:48 HAL9000 kernel: [  423.808059] [drm] Please file a _new_ bug report on bugs.freedesktop.org against DRI -> DRM/Intel
Jun 21 12:03:48 HAL9000 kernel: [  423.808060] [drm] drm/i915 developers can then reassign to the right component if it's not a kernel issue.
Jun 21 12:03:48 HAL9000 kernel: [  423.808062] [drm] The gpu crash dump is required to analyze gpu hangs, so please always attach it.
Jun 21 12:03:48 HAL9000 kernel: [  423.809400] [drm:i915_set_reset_status] *ERROR* render ring hung inside bo (0xac16000 ctx 0) at 0xac17504
Jun 21 12:03:49 HAL9000 kernel: [  424.320081] [drm:i915_reset] *ERROR* Failed to reset chip.
Jun 21 12:03:58 HAL9000 kernel: [  433.808072] [drm:i915_gem_wait_for_error] *ERROR* Timed out waiting for the gpu reset to complete
Jun 21 12:03:58 HAL9000 kernel: [  433.812082] [drm:i915_gem_wait_for_error] *ERROR* Timed out waiting for the gpu reset to complete
Jun 21 12:03:58 HAL9000 kernel: [  433.870614] [drm] GMBUS [i915 gmbus vga] timed out, falling back to bit banging on pin 2
Jun 21 12:03:58 HAL9000 kernel: [  433.895483] ------------[ cut here ]-----------
Comment 1 Chris Wilson 2015-06-22 07:21:24 UTC
It is never 0 bytes in length, ls lies. Just cat the file and attach it;

$ cat /sys/class/drm/card0/error | bz2 > error.bz2
Comment 2 Tom 2015-06-22 13:25:53 UTC
Created attachment 116654 [details]
/sys/class/drm/card0/error (error.dump attached)

Per request to add error file to case
Comment 3 Chris Wilson 2015-06-22 13:32:08 UTC
Sigh. Please attach the contents of that file after the hang and before the next reboot.
Comment 4 Jani Nikula 2015-08-18 15:39:37 UTC
Ping for the info.
Comment 5 Hugh Hamill 2015-09-23 20:19:46 UTC
I've had the exact same issue and managed to save my error dump (it gets reset to 0 bytes on reboot, which is necessary to recover screen).

Attaching now.
Comment 6 Hugh Hamill 2015-09-23 20:26:13 UTC
Created attachment 118416 [details]
/sys/class/drm/card0/error
Comment 7 Chris Wilson 2015-09-24 07:51:44 UTC
This should have been fixed by mesa-10.5.3+.
Comment 8 Hugh Hamill 2015-09-24 09:56:06 UTC
Thanks for the response, excuse my ignorance but how do I get the update? I am using Kubuntu, and don't have much experience with Linux. Thanks!
Comment 9 Chris Wilson 2015-09-24 10:14:11 UTC
In theory it should be provided to you by your distribution when you next do an package update. In practice you tend to have to roll forward to the next release of the distribution. If you can hop on irc and head over to e.g. #kubuntu on irc.freenode.net hopefully someone can quickly give you precise instructions on how to find mesa updates for your version.
Comment 10 Hugh Hamill 2015-09-24 11:50:05 UTC
Thanks Chris!

Is there any way to check my version so I can know if I have upgraded ok?

Sorry for the annoying questions, this is the last one!
Comment 11 Chris Wilson 2015-09-24 12:00:21 UTC
To see what library is currently in use, try glxinfo | grep "OpenGL version". To see what is currently installed, try  dpkg -l libgl1-mesa-dri (but that assumes the package name).
Comment 12 Hugh Hamill 2015-09-24 12:51:12 UTC
Thanks for the help :)


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.